<div>
  <h1 style="text-align: center;">Servicio de proveedores</h1>
  <div style="width: 50%; float: left;text-align: center; align-content: center;">
    <h2>Búsqueda, registro y actualización de proveedores</h2>
    <form action="">
      <div class="form-group">
        <label for="nombre">Nombre del proveedor</label>
        <input  [(ngModel)]="code"  name="name" id="code"  type="text" placeholder="codigo" maxlength="10" required>

        <label for="nombre">Nombre del proveedor</label>
        <input  [(ngModel)]="name"  name="name" id="nombre"  type="text" placeholder="Nombre" maxlength="10" required>
        <br>
        <label for="telefono">Teléfono del proveedor</label>
        <input  [(ngModel)]="phone"  name="phone" id="telefono" type="text" placeholder="Teléfono" required >
        <br>
        <label for="direccion">Dirección del proveedor</label>
        <input  [(ngModel)]="address"  name="addres" id="direccion" type="text" placeholder="Dirección" required>
      </div>
    </form>
    <br>
    <div class="form-group" style="width: 100%;">
      <button class="btn primary" style="width: 20%;" (click)="createProvider()">Crear</button>
      <button class="btn primary" style="width: 20%;">Actualizar</button>
      <button class="btn primary" style="width: 25%;">Listar proveedores</button>
      <button class="btn primary" style="width: 25%;">Buscar proveedor</button>
    </div>

  </div>
  <div style="width: 50%; float: right; text-align: center; align-content: center;">
    <table style="margin: 0 auto;text-align: center; width: 90%;" id="customers">
      <tr>
        <th>Nombre</th>
        <th>Fecha de registro</th>
        <th>Teléfono</th>
        <th>Dirección</th>
      </tr>
      <tr *ngFor="let provider of providers">
        <td>{{provider.name | uppercase}}</td>
        <td>{{provider.createAt}}</td>
        <td>{{provider.phone}}</td>
        <td>{{provider.address | uppercase}}</td>
      </tr>
    </table>

  </div>

</div>

<script>
    document.getElementById('#fecha').value = new Date().toDateInputValue();
</script>
<router-outlet></router-outlet>
